# Installation

radix_starterkit theme uses [Webpack](https://webpack.js.org) to compile and
bundle SASS and JS.

#### Step 1

Make sure you have Node and npm installed.
You can read a guide on how to install node here:
https://docs.npmjs.com/getting-started/installing-node

If you prefer to use [Yarn](https://yarnpkg.com) instead of npm, install Yarn by
following the guide [here](https://yarnpkg.com/docs/install).

#### Step 2

Go to the root of radix_starterkit theme and run the following commands:
`nvm use`

This command triggers the node version switch specified in the `.nvmrc` file
Read more about [NVM](https://github.com/nvm-sh/nvm)

then:
`npm install` or `yarn install`

#### Step 3

Create a copy of **.env.example** file and rename it to **.env.local**:
`cp .env.example .env.local`

Update `DRUPAL_BASE_URL` in **.env.local** file.

#### Step 4

Enable and set the newly created theme as default theme.
`drush en radix_starterkit -y`
`drush config-set system.theme default radix_starterkit -y`

#### Step 5

Run the following command to compile Sass and watch for changes: `npm run watch`
or respectively `yarn watch`.
